Get roles
1 min
GET
https://usermgmt-api.optimizely.com/api/roles
namestringName of the role.
descriptionstringDescription of the role.
productIdstringProduct ID of the role.
experimentalOrganizationIdstringOrganization ID assigned to the experimental roles.
roleTypestring<p>Type of role. Possible values: 0 for Product Defined, 1 for Customer Defined for Product, 2 for Customer Defined for Product Instance.</p>
ownedBystringOwner of the role.
targetIdsarray<p>IDs of the targets associated with the role, like the IDs of products or instances.</p>
isActiveboolean<p>True or false, indicating whether the role is active.</p>
propertiesarrayProperties defined in the role.
attributeIdstring
excludeTeamsboolean<p>True or false, indicating whether to exclude Teams roles from the results. Defaults to true.</p>
sizeinteger<int32>Number of results to include per page.
offsetinteger<int32>Offset paging of results.
acceptstringGenerated from available response content types
200The roles response.
400The request was invalid or cannot be otherwise served. An accompanying error message will explain further.
401Unauthorized access to endpoint.
403Forbidden access to endpoint.
500<p>A server error occurred, please try again.</p>
curl --request GET \
--url 'https://usermgmt-api.optimizely.com/api/roles?properties=array' \
--header 'accept: application/json'